/**Begin C:\Users\rd_jin_gu\Documents\work\PDM_UPGRADE\PDM1\HRPTMC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPTMC_REPORTMAPPING') 
 CREATE TABLE T_HRPTMC_REPORTMAPPING (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBERALIAS VARCHAR(50) DEFAULT ' ' NOT NULL,
FMETADATAFIELDKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FREPORTID BIGINT DEFAULT 0 NOT NULL,
FMETADATACONTROLKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLEFIELDTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRIVATEFIELDSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FTABLEFIELDLENGTH INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);



/**End C:\Users\rd_jin_gu\Documents\work\PDM_UPGRADE\PDM1\HRPTMC_table.sql **/
